1. Cash in
English
  • English
  • Español
  • Developer Docs Ecuador 🇪🇨
  • Online Payments
    • Release Notes
    • Kushki API errors
    • Card Payments
      • Request a card token
      • Make a charge or deferred charge
      • Refund a transaction
      • Void a transaction
      • Request deferred options
      • Validate OTP
      • Bin Info V2
      • Bin Info
    • One Click and Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Update recurring charge card data
      • Make an One-click payment
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Get recurring charge Info
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Subscription Transactions
      • Get subscription transactions
    • Transfer in
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Cash in
      • Request a cash in token
        POST
      • Init Transaction
        POST
      • Update a cash in transaction
        PATCH
      • Transaction Status
        GET
      • Delete a cash in transaction
        DELETE
    • Smartlinks
      • Create a Smartlink
      • Update a Smartlink
      • Get a Smartlink
      • Delete a smartlink
    • Analytics
      • Get transactions list v2
    • Status
      • Get gateway status
      • Get platform status
    • Commissions
      • Get Commission Configuration
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Activate or deactivate
      • Delete credential
      • Update credential
      • Regenerate a credential
      • Advanced search
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
  • Appian - Submerchant Register
    • Release Notes
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • threeDomainSecure
    • webhooks
    • Card-old
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • StatusComponent
    • SettlementDateRangeRequest
    • SubscriptionTransactionsResponse
    • Card
    • Card Present (CP)
    • currency
    • networkToken
    • ChargebackItem
    • ErrorResponse
    • SettlementRecord
    • SubscriptionTransaction
    • Card Not Present (CNP)
    • Amount
    • ErrorResponse400
    • SettlementResponse
    • Deferred
    • extraTaxes
    • Country
    • ErrorResponse401
    • Language
    • ErrorResponse403
    • Subscription
    • Metadata
    • payment_method
    • ErrorResponse500
    • ContactDetails
    • orderDetails
    • Shipping Address
    • Billing-Address
    • payment_submethod
    • SubscriptionUpdate
    • SubscriptionAdjustmentRequest
    • documentType
    • threeDomainSecure
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • product
    • UnexpectedErrorResponse
    • ExternalReferenceId
    • transactionType
    • SettlementTicketRequest
HomePerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
HomePerú 🇵🇪México 🇲🇽Ecuador 🇪🇨
Colombia 🇨🇴Chile 🇨🇱
Status
Soporte / Support
English
  • English
  • Español
  1. Cash in

Init Transaction

UAT Testing Env
https://api-uat.kushkipagos.com
UAT Testing Env
https://api-uat.kushkipagos.com
POST
/cash/v1/charges/init
Init the transaction with a Cash In token provided by Kushki. The Init Transaction delivers a pin number to perform the customer payment and the URL of the receipt.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

🟠400Bad Request
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-uat.kushkipagos.com/cash/v1/charges/init' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data '{
    "token": "string",
    "expirationDate": "7 days",
    "amount": {
        "currency": "USD",
        "subtotalIva": 0,
        "subtotalIva0": 0,
        "iva": 0,
        "ice": 0,
        "extraTaxes": {
            "iac": 0,
            "tasaAeroportuaria": 0,
            "agenciaDeViaje": 0
        }
    },
    "metadata": {
        "key0": "value0",
        "key1": "value1",
        "key2": "value2"
    },
    "webhooks": {
        "events": [
            "approvedTransaction"
        ],
        "headers": {
            "headers": [
                {
                    "label": "json",
                    "value": "12"
                }
            ]
        },
        "urls": [
            "string"
        ]
    },
    "fullResponse": "v2"
}'
Response Response Example
200 - Without fullResponse
{
    "agreementNumber": "9595950804",
    "barCodeUrl": "https://api-uat.kushkipagos.com/cash/v1/charges/193222411482/barcode",
    "getPinBarCode": "4150000000054244802015549183763900100009620190417",
    "pins": [
        {
            "pin": "1554244909",
            "processorName": "BancoBogota"
        },
        {
            "pin": "1231242",
            "processorName": "Payvalida"
        }
    ],
    "pdfUrl": "https://api-uat.kushkipagos.com/cash/v1/charges/2388729046399317/receipt",
    "pdf": [
        "https://api-uat.kushkipagos.com/cash/v1/charges/2388729046399317/receipt"
    ],
    "pin": "1554244909",
    "ticketNumber": "193222411482",
    "transactionReference": "fa3cb92f-f53f-46e8-a9f9-0c40e9ae2df2",
    "agreementDetails": [
        {
            "Baloto": [
                {
                    "agreementNumber": "9595950804",
                    "processorName": "BancoBogota"
                }
            ]
        },
        {
            "Carulla": [
                {
                    "agreementNumber": "9595950804",
                    "processorName": "BancoBogota"
                }
            ]
        },
        {
            "efecty": [
                {
                    "agreementNumber": "110342",
                    "processorName": "Payvalida"
                }
            ]
        },
        {
            "bancolombia": [
                {
                    "agreementNumber": "54245",
                    "processorName": "Payvalida"
                }
            ]
        }
    ]
}
Modified at 2026-09-15 14:57:36
Previous
Request a cash in token
Next
Update a cash in transaction
Built with